<template>
	<a-row
		class="drag-row"
		v-bind="Object.assign({}, $attrs, item.properties)"
		:style="{ '--ant-primary-color': token.colorPrimaryBorder }"
	>
		<slot></slot>
	</a-row>
</template>
<script lang="ts" setup>
	import { FormItem } from '@/components/form-render/form-render-types'
	import { theme } from 'ant-design-vue'
	const { useToken } = theme
	const { token } = useToken()
	const props = defineProps({
		item: {
			type: Object as PropType<FormItem>,
			required: true,
		},
	})
	const { item } = toRefs(props)
</script>
<style scoped>
	.ant-row {
		min-height: 50px;
		border: 1px dashed var(--ant-primary-color);
	}
</style>
